Bug 83250 - Shared libraries, libXXXX.so.XX format generation using lnxLib.rules
Summary: Shared libraries, libXXXX.so.XX format generation using lnxLib.rules
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 7.1
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-31 21:20 UTC by Patrick Scott
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-01 17:10:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Modified file from original format (22.42 KB, text/plain)
2003-01-31 21:30 UTC, Patrick Scott
no flags Details
files used to create the libraries (620.00 KB, application/x-tar)
2003-01-31 21:38 UTC, Patrick Scott
no flags Details

Description Patrick Scott 2003-01-31 21:20:40 UTC
Description of problem: When attempting to use the
/usr/X11R6/lib/X11/config/lnxLib.rules to create a shared library, the xmkmf
generated Makefile from the Imakefile will not run a compile.


Version-Release number of selected component (if applicable): XFree86-devel,
4.1.0-25


How reproducible:Using Imake.rules and xmkmf command with a Imakefile with
SharedLibraryTarget(LiS,0.0,$(OBJS1),.,.).

Steps to Reproduce:
1.Create a Imakefile with SharedLibraryTarget() used
2.run xmkmf
3.run make Makefile
4.run make clean to clear the old objects and executables.
    
Actual results: errors

make clean
Makefile:900: warning: overriding commands for target `.c.o'
Makefile:852: warning: ignoring old commands for target `.c.o'
make: *** [cleandir] Error 1


Expected results: no errors

make clean
Makefile:900: warning: overriding commands for target `.c.o'
Makefile:852: warning: ignoring old commands for target `.c.o'
+ rm -f libLiS.so.libLiS.so
rm -f libLiS.so.0 libLiS.so
+ rm -f libpLiS.so.libpLiS.so
rm -f libpLiS.so.0 libpLiS.so
rm -f *.CKP *.ln *.BAK *.bak *.o core errs ,* *~ *.a .emacs_* tags TAGS make.log
MakeOut   "#"*


Additional info:
My solution is to modify the lnxLib.rules at 673,
	@if [ $(SOSYMLINK) ] ; then (set -x; \				@@\
            ^new           ^new

	@set MAJREV=`expr rev : '\(.*\)\.'`; \				@@\
         ^^^new

Comment 1 Patrick Scott 2003-01-31 21:30:15 UTC
Created attachment 89749 [details]
Modified file from original format

will replace the original file

Comment 2 Patrick Scott 2003-01-31 21:38:57 UTC
Created attachment 89750 [details]
files used to create the libraries 

environment used to create libraries

Comment 3 Mike A. Harris 2003-02-01 17:10:11 UTC
This is more of a technical support request than a bug report.  Bugzilla
is only for reporting bugs.  Also, at this point in time, XFree86 4.1.0
from Red Hat Linux 7.1 is in security fix only mode.

Your best bet is to email the problem you're having to xfree86@xfree86.org
mailing list and request assistance.


Note You need to log in before you can comment on or make changes to this bug.